%define name	perl-MLDBM-Sync
%define real_name    MLDBM-Sync
%define version 0.30
%define release 2mdk

%define perl_sitelib %(eval "`perl -V:installsitelib`"; echo $installsitelib)

Summary:	%{real_name} module for perl
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Artistic
Group:		Development/Perl
Source0:	%{real_name}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRequires:	perl-devel perl-Digest-MD5 perl-MLDBM
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Requires:	/usr/bin/perl
Prefix:		%{_prefix}
BuildArch:	noarch

%description
%{real_name} module for perl

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{prefix} INSTALLDIRS=vendor
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}
make test

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install
%makeinstall PREFIX=$RPM_BUILD_ROOT%{prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc MANIFEST README
%{_mandir}/*/*
%{perl_vendorlib}/MLDBM

%changelog
* Tue Aug 06 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.30-2mdk
- fix conflict related to man3pm.

* Tue Jul 09 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.30-1mdk
- 0.30.
- build with new perl 5.8.0.
- install in vendor_perl.

* Tue Jun 25 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.27-1mdk
- 0.27.
- remove filelist.

* Mon Jan 28 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.25-1mdk
- 0.25.

* Tue Nov  6 2001 Stefan van der Eijk <stefan@eijk.nu> 0.21-2mdk
- BuildRequires: perl-MLDBM

* Mon Nov 05 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.21-1mdk
- First rpm.
